/* Terraform - (C) 1997-1999 Robert Gasch (Robert_Gasch@peoplesoft.com)
 *  - www.peoplesoft.com/peoplepages/g/robert_gasch/terraform/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */


#ifndef _TF_DIALOG_LINEAR_SCALE_H
#define _TF_DIALOG_LINEAR_SCALE_H


#include "TFPreviewDialog.h"				// include gtk, gtk--



/*
 *  TFDialogLinearScale: display the roughen dialog for terraformer
 */
class TFDialogLinearScale : public TFPreviewDialog  
	{
	public: 
				TFDialogLinearScale (HeightField *HF, HeightFieldDraw *HFD);
				~TFDialogLinearScale (); 
		void		buildDialogWindow ();
		void 		buttonCallbackApply ();

	private:
		void		insertOptions ();
		void		updatePreviewCallback ();
		int		daButtonPressedCallback (GdkEventButton *event);

		Gtk_VBox		d_vbList;
		Gtk_HBox		d_hbCX, d_hbCY, d_hbScaleFactor,
					d_hbMinDist, d_hbMaxDist,
					d_hbSmoothDist,
					d_hbInvert, d_hbFullDist;
		Gtk_CheckButton		d_btnInvert,
					d_btnFullDist;
		Gtk_Frame		d_optionsFrame;
		Gtk_HSeparator		d_hSep;
		Gtk_Label		*d_lblCX, *d_lblCY,
					*d_lblScaleFactor,
					*d_lblMinDist, *d_lblMaxDist,
					*d_lblSmoothDist,
					*d_lblInvert, *d_lblFullDist;
		Gtk_Adjustment		*d_adjCX, *d_adjCY,
					*d_adjScaleFactor,
					*d_adjMinDist, *d_adjMaxDist,
					*d_adjSmoothDist;
		Gtk_HScale		*d_hsCX, *d_hsCY, *d_hsScaleFactor,
					*d_hsMinDist, *d_hsMaxDist,
					*d_hsSmoothDist;
	};


#endif // _TF_DIALOG_LINEAR_SCALE_H
